/**
 * File attachment types and interfaces for the knowledge graph system
 */
// Default file storage configuration
export const DEFAULT_FILE_STORAGE_CONFIG = {
    maxFileSize: 10 * 1024 * 1024, // 10MB
    maxFilesPerEntity: 50,
    allowedMimeTypes: [
        // Text files
        'text/plain',
        'text/markdown',
        'text/csv',
        'text/html',
        'text/css',
        'text/javascript',
        'text/xml',
        'application/json',
        'application/xml',
        // Documents
        'application/pdf',
        'application/msword',
        'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
        'application/vnd.ms-excel',
        'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
        'application/vnd.ms-powerpoint',
        'application/vnd.openxmlformats-officedocument.presentationml.presentation',
        // Images
        'image/jpeg',
        'image/png',
        'image/gif',
        'image/webp',
        'image/svg+xml',
        // Archives
        'application/zip',
        'application/x-tar',
        'application/gzip',
        // Code files
        'application/javascript',
        'application/typescript',
        'application/x-python',
        'application/x-sh',
        'application/x-yaml',
    ],
    postgresLobSupport: true,
};
//# sourceMappingURL=file-attachments.js.map